Subject: Re: [DNSOP] Review of draft-livingood-dns-redirect-00
From: John Schnizlein <[email-masked]>
To: Paul Hoffman <[email-masked]>
Cc: [email-masked], "Livingood, Jason" <[email-masked]>
Date: Fri, 17 Jul 2009 12:55:37 -0400
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

Along with these good suggestions, the next draft should include a  
brief description of why the desired behavior (as seen by the user) is  
better performed through DNS tricks than through HTTP tricks.

John

On 2009Jul17, at 12:04 PM, Paul Hoffman wrote:

> At 8:16 AM -0400 7/16/09, Livingood, Jason wrote:
>>> I'll speak for my parents here: a DNS resolver that reduces the  
>>> chance that they'll get a drive-by malware
>>> infection is something they would happily use. Having said that, a  
>>> DNS resolver that gives them a page of
>>> search results instead of the browser's error page when they  
>>> mistype a URL is something the *do not* want
>>> because it increases their confusion.
>>
>> IMHO malicious bots are an extremely concerning problem, and the  
>> problem of bot infections is much more widespread than many people  
>> realize.  I'm in the early stages of contributing to a bot-related  
>> draft at <http://tools.ietf.org/html/draft-oreirdan-mody-bot-remediation-00 
>> >http://tools.ietf.org/html/draft-oreirdan-mody-bot-remediation-00  
>> in case anyone is interested in providing private feedback (haven't  
>> really found a WG appropriate for the work).
>
> I hope that redirection is not an indicator that the -01 draft will  
> continue to talk about the two scenarios as if they are somewhat  
> equivalent.
>
> At 4:14 PM +0000 7/16/09, Suzanne Woolf wrote:
>> I hope redirect-01 is more strictly descriptive and can drop  
>> defensive
>> terms for DNS redirect, like "enhancement" of the "user experience",
>> since it's by no means agreed that crippling DNSSEC (for example)
>> enhances the value of the Internet for anyone.
>
> +1. You can talk about why you are doing what you are doing without  
> making it seem that the positive values are going to be be worth the  
> negative side-effects.
>
> --Paul Hoffman, Director
> --VPN Consortium